# Uses of Interface
org.opensaml.xmlsec.SignatureSigningConfiguration

Packages that use SignatureSigningConfiguration
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config
OpenSAML configuration classes.
org.opensaml.xmlsec.criterion
Criterion classes for XML Security.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of SignatureSigningConfiguration in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type SignatureSigningConfiguration
Modifier and Type
Field
Description
`private Function<MessageContext,List<SignatureSigningConfiguration>>`
PopulateSignatureSigningParametersHandler.`configurationLookupStrategy`
Strategy used to look up a per-request `SignatureSigningConfiguration` list.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type SignatureSigningConfiguration
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParametersHandler.`setConfigurationLookupStrategy(Function<MessageContext,List<SignatureSigningConfiguration>> strategy)`
Set the strategy used to look up a per-request `SignatureSigningConfiguration` list.

## Uses of SignatureSigningConfiguration in org.opensaml.saml.common.profile.impl

Fields in org.opensaml.saml.common.profile.impl with type parameters of type SignatureSigningConfiguration
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,List<SignatureSigningConfiguration>>`
PopulateSignatureSigningParameters.`configurationLookupStrategy`
Strategy used to look up a per-request `SignatureSigningConfiguration` list.
Method parameters in org.opensaml.saml.common.profile.impl with type arguments of type SignatureSigningConfiguration
Modifier and Type
Method
Description
`void`
PopulateSignatureSigningParameters.`setConfigurationLookupStrategy(Function<ProfileRequestContext,List<SignatureSigningConfiguration>> strategy)`
Set the strategy used to look up a per-request `SignatureSigningConfiguration` list.

## Uses of SignatureSigningConfiguration in org.opensaml.xmlsec

Methods in org.opensaml.xmlsec that return SignatureSigningConfiguration
Modifier and Type
Method
Description
`static SignatureSigningConfiguration`
SecurityConfigurationSupport.`ensureGlobalSignatureSigningConfiguration()`
Get the global `SignatureSigningConfiguration` instance, raising an exception if absent.
`static SignatureSigningConfiguration`
SecurityConfigurationSupport.`getGlobalSignatureSigningConfiguration()`
Get the global `SignatureSigningConfiguration` instance.

## Uses of SignatureSigningConfiguration in org.opensaml.xmlsec.config

Fields in org.opensaml.xmlsec.config declared as SignatureSigningConfiguration
Modifier and Type
Field
Description
`private SignatureSigningConfiguration`
BasicXMLSecurityConfiguration.`sigSigningConfig`
Configuration used when generating protocol message signatures.
Methods in org.opensaml.xmlsec.config that return SignatureSigningConfiguration
Modifier and Type
Method
Description
`SignatureSigningConfiguration`
BasicXMLSecurityConfiguration.`getSignatureSigningConfiguration()`
Get the configuration used when generating protocol message signatures.
`SignatureSigningConfiguration`
XMLSecurityConfiguration.`getSignatureSigningConfiguration()`
Get the configuration used when generating protocol message signatures.
Methods in org.opensaml.xmlsec.config with parameters of type SignatureSigningConfiguration
Modifier and Type
Method
Description
`BasicXMLSecurityConfiguration`
BasicXMLSecurityConfiguration.`setSignatureSigningConfiguration(SignatureSigningConfiguration config)`
Set the configuration used when generating protocol message signatures.

## Uses of SignatureSigningConfiguration in org.opensaml.xmlsec.criterion

Fields in org.opensaml.xmlsec.criterion with type parameters of type SignatureSigningConfiguration
Modifier and Type
Field
Description
`private List<SignatureSigningConfiguration>`
SignatureSigningConfigurationCriterion.`configs`
The list of configuration instances.
Methods in org.opensaml.xmlsec.criterion that return types with arguments of type SignatureSigningConfiguration
Modifier and Type
Method
Description
`List<SignatureSigningConfiguration>`
SignatureSigningConfigurationCriterion.`getConfigurations()`
Get the list of configuration instances.
Constructors in org.opensaml.xmlsec.criterion with parameters of type SignatureSigningConfiguration
Modifier
Constructor
Description
``
`SignatureSigningConfigurationCriterion(SignatureSigningConfiguration... configurations)`
Constructor.
Constructor parameters in org.opensaml.xmlsec.criterion with type arguments of type SignatureSigningConfiguration
Modifier
Constructor
Description
``
`SignatureSigningConfigurationCriterion(List<SignatureSigningConfiguration> configurations)`
Constructor.

## Uses of SignatureSigningConfiguration in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement SignatureSigningConfiguration
Modifier and Type
Class
Description
`class`
`BasicSignatureSigningConfiguration`
Basic implementation of `SignatureSigningConfiguration`.